Bug 1078 - [UPDATE REQUEST] [UPSTREAM UPDATE] cdrkit
: [UPDATE REQUEST] [UPSTREAM UPDATE] cdrkit
Status: RESOLVED FIXED
Product: Server Bugs
Classification: ROSA Server
Component: Main Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: Andrew Lukoshko
: ROSA Server Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-14 11:06 MSK by Andrew Lukoshko
Modified: 2012-11-23 13:13 MSK (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrew.lukoshko: published_server+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Lukoshko 2012-11-14 11:06:45 MSK
Updated cdrkit from RHEL6 upstream.

Advisory:
* Prior to this update, overlapping memory was handled incorrectly. As a
consequence, newly created paths could be garbled when calling "genisoimage"
with the "-graft-points" option to graft the paths at points other than the root
directory. This update modifies the underlying code to generate graft paths as
expected. 
http://rhn.redhat.com/errata/RHBA-2012-1451.html

Build lists:
https://abf.rosalinux.ru/build_lists/845498
https://abf.rosalinux.ru/build_lists/845499

Install:
i686: yum install http://abf.rosalinux.ru/downloads/rosa-server2012/container/cdrkit-845498/RPMS/dirsplit-1.1.9-12.res6.i686.rpm http://abf.rosalinux.ru/downloads/rosa-server2012/container/cdrkit-845498/RPMS/genisoimage-1.1.9-12.res6.i686.rpm http://abf.rosalinux.ru/downloads/rosa-server2012/container/cdrkit-845498/RPMS/icedax-1.1.9-12.res6.i686.rpm http://abf.rosalinux.ru/downloads/rosa-server2012/container/cdrkit-845498/RPMS/wodim-1.1.9-12.res6.i686.rpm

x86_64: yum install http://abf.rosalinux.ru/downloads/rosa-server2012/container/cdrkit-845499/RPMS/dirsplit-1.1.9-12.res6.x86_64.rpm http://abf.rosalinux.ru/downloads/rosa-server2012/container/cdrkit-845499/RPMS/genisoimage-1.1.9-12.res6.x86_64.rpm http://abf.rosalinux.ru/downloads/rosa-server2012/container/cdrkit-845499/RPMS/icedax-1.1.9-12.res6.x86_64.rpm http://abf.rosalinux.ru/downloads/rosa-server2012/container/cdrkit-845499/RPMS/wodim-1.1.9-12.res6.x86_64.rpm

Please DON'T PUBLISH, just test.
Comment 1 Vladimir Potapov 2012-11-22 10:39:01 MSK
genisoimage-1.1.9-12.res6
***************** RHEL Advisory ******************
Prior to this update, overlapping memory was handled incorrectly. As a
consequence, newly created paths could be garbled when calling "genisoimage"
with the "-graft-points" option to graft the paths at points other than the root
directory. This update modifies the underlying code to generate graft paths as
expected.
**************************************************
QA Verified